﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.DataPresenter.Events;

namespace XamDataGridFieldLayouts
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            List<Person> source = new List<Person>();
            for (int i = 0; i < 10; i++)
            {
                List<Person> others = new List<Person>()
                {
                    new Person()
                {
                    Name = "Other 1" + i.ToString(),
                    Age = i + 10 * i,
                    HasCandy = false
                },
                new Person()
                {
                    Name = "Other 2" + i.ToString(),
                    Age = i+1 + 10 * i,
                    HasCandy = false
                },
                new Person()
                {
                    Name = "Other 3" + i.ToString(),
                    Age = i+2 + 10 * i,
                    HasCandy = false
                }
                };
                Person p = new Person()
                {
                    Name = "Name " + i.ToString(),
                    Age = i + 10 * i,
                    HasCandy = (i == 0 ? true : false),
                     Others =  others
                };

                source.Add(p);
            }
            xamDataGrid1.DataSource = source;
        }
    }

    public class Person
    {
        public string Name { get; set; }
        public int Age { get; set; }
        public bool HasCandy { get; set; }
        public List<Person> Others { get; set; }
    }
}
